//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.03.10 at 12:34:04 PM CET 
//


package nl.naturalis.geneious.oaipmh.jaxb;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Sequencing complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Sequencing">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="sequencingStaff" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="consensusSequenceID" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="consensusSequenceLength" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="consensusSequenceQuality" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="geneticAccession" type="{http://data.naturalis.nl/geneious}GeneticAccession"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Sequencing", propOrder = {
    "sequencingStaff",
    "consensusSequenceID",
    "consensusSequenceLength",
    "consensusSequenceQuality",
    "geneticAccession"
})
public class Sequencing {

    @XmlElement(required = true)
    protected String sequencingStaff;
    @XmlElement(required = true)
    protected String consensusSequenceID;
    @XmlElement(required = true)
    protected String consensusSequenceLength;
    @XmlElement(required = true)
    protected String consensusSequenceQuality;
    @XmlElement(required = true)
    protected GeneticAccession geneticAccession;

    /**
     * Gets the value of the sequencingStaff property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSequencingStaff() {
        return sequencingStaff;
    }

    /**
     * Sets the value of the sequencingStaff property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSequencingStaff(String value) {
        this.sequencingStaff = value;
    }

    /**
     * Gets the value of the consensusSequenceID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsensusSequenceID() {
        return consensusSequenceID;
    }

    /**
     * Sets the value of the consensusSequenceID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsensusSequenceID(String value) {
        this.consensusSequenceID = value;
    }

    /**
     * Gets the value of the consensusSequenceLength property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsensusSequenceLength() {
        return consensusSequenceLength;
    }

    /**
     * Sets the value of the consensusSequenceLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsensusSequenceLength(String value) {
        this.consensusSequenceLength = value;
    }

    /**
     * Gets the value of the consensusSequenceQuality property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConsensusSequenceQuality() {
        return consensusSequenceQuality;
    }

    /**
     * Sets the value of the consensusSequenceQuality property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConsensusSequenceQuality(String value) {
        this.consensusSequenceQuality = value;
    }

    /**
     * Gets the value of the geneticAccession property.
     * 
     * @return
     *     possible object is
     *     {@link GeneticAccession }
     *     
     */
    public GeneticAccession getGeneticAccession() {
        return geneticAccession;
    }

    /**
     * Sets the value of the geneticAccession property.
     * 
     * @param value
     *     allowed object is
     *     {@link GeneticAccession }
     *     
     */
    public void setGeneticAccession(GeneticAccession value) {
        this.geneticAccession = value;
    }

}
